Menu
Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Facebook profile
Vette!
Vette!
Fecha de lanzamiento: 1989. octubre 01. (PC)
Popularidad: ~4140# ■
iThere are only official system requirements on the site which are released by developers or an official publisher.
Vette! Requisitos mínimos:
OS:
MS-DOS version 3 or above http://requisitosdesistema.com/
The game's system requirements are extremely low that's why making a comparison is not feasible.
Más como éste:
HawkenKilling FloorLEGO Pirates of the CaribbeanStorm VRHalf-LifeGothicAge of Empires III The WarChiefsBorderlands: The Pre-Sequel
Base de datos